%define major 20
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define	Summary	Sound processing, multitrack recording, and mixing tools

Summary:	%{Summary}
Name:		ecasound
Version: 	2.5.2
Release: 	%mkrel 1
License: 	GPL
Group: 		Sound
URL: 		http://www.eca.cx/ecasound/
Source0: 	http://ecasound.seul.org/download/%{name}-%{version}.tar.gz
Source1:        %{name}16.png
Source2:        %{name}32.png
Source3:        %{name}48.png
Patch0:		ecasound-2.4.6.1-shared.diff
Patch1:		ecasound-shellbang_fix.diff
Patch2:		ecasound-linkage_fix.diff
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:	arts-devel
BuildRequires:  autoconf
BuildRequires:	jackit-devel
BuildRequires:	libalsa-devel
BuildRequires:	libaudiofile-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	ncurses-devel
BuildRequires:	python-devel
BuildRequires:	readline-devel
BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	multiarch-utils >= 1.0.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile     python -c "import compileall; compileall.compile_dir('.')"

%description
Ecasound is a software package designed for multitrack
audio processing. It can be used for simple tasks like
audio playback, recording and format conversions, as
well as for multitrack effect processing, mixing,
recording and signal recycling. Ecasound supports a
wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined
in various ways, and their parameters can be
controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is
included in the package.

%package -n	%{libname}
Summary: 	Shared libraries for Ecasound
Group: 		System/Libraries

%description -n	%{libname}
Ecasound is a software package designed for multitrack
audio processing. It can be used for simple tasks like
audio playback, recording and format conversions, as
well as for multitrack effect processing, mixing,
recording and signal recycling. Ecasound supports a
wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined
in various ways, and their parameters can be
controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is
included in the package.

This package contains the shared Ecasound libraries.

%package -n	python-ecasound
Summary: 	Python bindings to ecasound control interface
Group: 		Sound
Requires: 	ecasound
Obsoletes:      pyecasound
Provides:       pyecasound

%description -n	python-ecasound
Python bindings to Ecasound Control Interface (ECI).

%package -n	ruby-ecasound
Summary:        Ruby bindings to ecasound control interface
Group:          Sound
Requires:       ecasound
Obsoletes:      rubyecasound
Provides:       rubyecasound

%description -n	ruby-ecasound
Ruby bindings to Ecasound Control Interface (ECI).

%package -n	%{develname}
Summary: 	Ecasound - development files
Group: 		Development/Other
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname ecasound 16 -d}

%description -n	%{develname}
The ecasound-devel package contains the header files and static
libraries necessary for building apps like ecawave and
ecamegapedal that directly link against ecasound libraries.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

# lib64 fix
perl -pi -e "s|/lib/|/%{_lib}/|g" configure*

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force
aclocal
autoconf
automake --foreign --add-missing

export CFLAGS="%{optflags} -fPIC -DPIC"
export CXXFLAGS="%{optflags} -fPIC -DPIC"

%configure2_5x \
    --enable-shared \
    --with-largefile \
    --enable-sys-readline

%make

# (oe) the tests dies at "ECA_TEST_REPOSITORY" on cooker as 
# of Fri Apr 01 2005 but works on 10.1 x86_64
%check
make check

%install
rm -fr %{buildroot}

install -d %{buildroot}%{py_platsitedir}

%makeinstall_std

pushd pyecasound
%python_compile_opt
%python_compile
install *.pyc *.pyo %{buildroot}%{py_platsitedir}
popd

# Icons
install -m644 %{SOURCE1} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} -D %{buildroot}%{_liconsdir}/%{name}.png

# Menu

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=%{name} -c
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;
EOF

cat > %{buildroot}%{_datadir}/applications/mandriva-ecamonitor.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=ecamonitor
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;
EOF

cat > %{buildroot}%{_datadir}/applications/mandriva-ecasignalview.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=ecasignalview
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;
EOF


%multiarch_binaries %{buildroot}%{_bindir}/libecasound-config
%multiarch_binaries %{buildroot}%{_bindir}/libecasoundc-config

%if %mdkversion < 200900
%post
%update_menus
%update_desktop_database
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_desktop_database
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libecasound.so.%{major}*
%{_libdir}/libecasoundc.so.*
%{_libdir}/libkvutils.so.*

%files
%defattr(-,root,root)
%doc NEWS COPYING COPYING.GPL COPYING.LGPL README BUGS TODO examples
%doc Documentation/*.html Documentation/*.txt
%{_bindir}/eca*
#%config(noreplace) %{_sysconfdir}/ecasound/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop

%files -n python-ecasound
%defattr(-,root,root)
%{py_platsitedir}/*.so
%{py_platsitedir}/*.py
%{py_platsitedir}/*.pyc
%{py_platsitedir}/*.pyo

%files -n ruby-ecasound
%defattr(-,root,root)
%{ruby_sitelibdir}/*.rb

%files -n %{develname}
%defattr(-, root, root)
%multiarch %{multiarch_bindir}/libecasound-config
%multiarch %{multiarch_bindir}/libecasoundc-config
%{_bindir}/libecasound-config
%{_bindir}/libecasoundc-config
%{_includedir}/kvutils/*.h
%{_includedir}/libecasound/*.h
%{_includedir}/libecasoundc/*.h
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a


%changelog
* Sun Aug 24 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.2-1mdv2009.0
+ Revision: 275506
- 2.5.2

* Thu Aug 21 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-1mdv2009.0
+ Revision: 274661
- 2.5.1
- new major again (20)

* Sun Aug 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.0-1mdv2009.0
+ Revision: 272891
- 2.5.0
- drop the gcc43 patch, it's fixed with this version
- fix shellbang

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4.6.1-2mdv2009.0
+ Revision: 232974
- added gcc43 and linkage fixes
- fix devel package naming

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Emmanuel Andry <eandry@mandriva.org> 2.4.6.1-1mdv2008.0
+ Revision: 78215
- drop old menu
- drop old distro conditionnal
- New version
- rediff patch0
- fix icons


* Sun Feb 18 2007 Emmanuel Andry <eandry@mandriva.org> 2.4.5-1mdv2007.0
+ Revision: 122210
- New version 2.4.5
- disable check (python tests fail)

  + Oden Eriksson <oeriksson@mandriva.com>
    - drop ruby macros, the bs can't cope with that
    - rebuild

  + Lenny Cartier <lenny@mandriva.com>
    - Rebuild for dependencies

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new python
    - Import ecasound

* Fri Aug 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.4-4mdv2007.0
- fix deps

* Mon Jul 31 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.4-3mdv2007.0
- fix #19020
- fix xdg menu

* Sun Mar 05 2006 Michael Scherer <misc@mandriva.org> 2.4.4-2mdk
- use new python macro
- provides/obsoletes ruby package, fix #19021 
- uncomment make check

* Sat Jan 28 2006 Austin Acton <austin@mandriva.org> 2.4.4-1mdk
- New release 2.4.4
- major 16

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.2-2mdk
- fixed the ruby lib dir after peeking at the eruby spec 
  file... should fix x86_64 build..., duh!

* Thu Aug 18 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.4.2-1mdk
- New release 2.4.2

* Sun Jun 19 2005 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-1mdk
- 2.4.1
- fix deps
- drop obsolete patches

* Sat Apr 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4.0-1mdk
- 2.4.0
- added missing code (P0)
- make it compile on amd64
- make shared libraries
- use the %%mkrel macro
- fix python-naming-policy-not-applied rpmlint error
- fix possible future ruby-naming-policy-not-applied rpmlint error

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.3.5-2mdk
- fix deps and conditional %%multiarch

* Thu Nov 11 2004 Austin Acton <austin@mandrake.org> 2.3.5-1mdk
- 2.3.5

* Sat Oct 30 2004 Austin Acton <austin@mandrake.org> 2.3.4-1mdk
- 2.3.4
- source URL

* Wed Jun 09 2004 Austin Acton <austin@mandrake.org> 2.3.3-2mdk
- buildrequires ruby

* Wed May 05 2004 Austin Acton <austin@mandrake.org> 2.3.3-1mdk
- 2.3.3
- delib buildrequires
- configure 2.5

